
pub type EntityId = u32;

#[derive(Clone, Copy, PartialEq, Eq, Hash, Debug)]
pub struct Location {
    pub x: i32,
    pub y: i32,
}

#[derive(Clone, Copy, PartialEq, Eq, Hash, Debug)]
pub struct Entity {
    pub id: EntityId,
    pub loc: Location
}